package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "EAP开方报表Dto")
public class EapSpecificationReportDto {
     //interface_eap_open_hours
     private Long hid;
     @ApiModelProperty(value = "日期" )
     String date;
     @ApiModelProperty(value = "模块号" )
     String module;
     @ApiModelProperty(value = "开方机编号" )
     String equip;
     @ApiModelProperty(value = "主操编号" )
     String operator;
     @ApiModelProperty(value = "总工时（min）" )
     String totalHours;
     @ApiModelProperty(value = "切割工时" )
     String cutHour;
     @ApiModelProperty(value = "处理断线工时" )
     String lineBreakHour;
     @ApiModelProperty(value = "半径偏差报警时长" )
     String radiusALHour;
     @ApiModelProperty(value = "重复上下料报警时长" )
     String repeatALHour;
     @ApiModelProperty(value = "切方待料时长" )
     String waitCutHour;
     @ApiModelProperty(value = "线体堵料时长" )
     String lineBlockHour;
     @ApiModelProperty(value = "待AGV发料时长" )
     String waitAGVHour;
     @ApiModelProperty(value = "创建日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date hCreatedTime;
     //interface_eap_retreat_feedback
     private Long id;
     @ApiModelProperty(value = "圆棒SN" )
     String lotNo;
     @ApiModelProperty(value = "开方机编号" )
     String machineName;
     @ApiModelProperty(value = "退库原因" )
     String returnReasonCode;
     @ApiModelProperty(value = "1组-头部直径" )
     BigDecimal headDia1;
     @ApiModelProperty(value = "1组-尾部直径" )
     BigDecimal tailDia1;
     @ApiModelProperty(value = "2组-头部直径" )
     BigDecimal headDia2;
     @ApiModelProperty(value = "2组-尾部直径" )
     BigDecimal tailDia2;
     @ApiModelProperty(value = "3组-头部直径" )
     BigDecimal headDia3;
     @ApiModelProperty(value = "3组-尾部直径" )
     BigDecimal tailDia3;
     @ApiModelProperty(value = "4组-头部直径" )
     BigDecimal headDia4;
     @ApiModelProperty(value = "4组-尾部直径" )
     BigDecimal tailDia4;
     @ApiModelProperty(value = "1-3组头部偏差" )
     BigDecimal headDeviation13;
     @ApiModelProperty(value = "1-3组尾部偏差" )
     BigDecimal tailDeviation13;
     @ApiModelProperty(value = "2-4组头部偏差" )
     BigDecimal headDeviation24;
     @ApiModelProperty(value = "2-4组尾部偏差" )
     BigDecimal tailDeviation24;
     @ApiModelProperty(value = "创建日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createdTime;
     //interface_eap_specification_send
     @ApiModelProperty(value = "加工规格" , required = true)
     String spec;
     @ApiModelProperty(value = "PN型" , required = true)
     String pnType;
     @ApiModelProperty(value = "设定边长" , required = true)
     BigDecimal sideLen;
     @ApiModelProperty(value = "产品等级" , required = true)
     String productRank;
     @ApiModelProperty(value = "工单编号" , required = true)
     String orderNo;
     @ApiModelProperty(value = "长度" , required = true)
     BigDecimal length;
     @ApiModelProperty(value = "重量" , required = true)
     BigDecimal weight;
     @ApiModelProperty(value = "拼接" , required = true)
     String splitJoint;
     @ApiModelProperty(value = "是否指定订单" , required = true)
     Integer isAssign;
     @ApiModelProperty(value = "类型区分（1：下发；2上传）" , required = true)
     Integer source;

     //interface_eap_evolution_record
     @ApiModelProperty(value = "切割开始时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date startTrimming;
     @ApiModelProperty(value = "切割结束时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date endTrimming;
     @ApiModelProperty(value = "圆棒切割工时" )
     BigDecimal trimmingHours;
     @ApiModelProperty(value = "开始切方张力" )
     BigDecimal tension;
     @ApiModelProperty(value = "开始切方线速度" )
     BigDecimal sLinearSpeed;
     @ApiModelProperty(value = "开始切方切割速度" )
     BigDecimal sCuttingSpeed;
     @ApiModelProperty(value = "开始切方水流量" )
     BigDecimal sTrimmingFlow;
     @ApiModelProperty(value = "实际单颗用线量" )
     BigDecimal actualQty;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date rCreatedTime;

     //interface_eap_state_upload
     @ApiModelProperty(value = "设备类型: 01大截断机,02 环线截断机,03 开方磨削机,04开放机,05磨削机,06拉晶炉,07圆棒检验线,08方棒" +
             "外观检测,09方棒尺寸检测" , required = true)
     String equipType;
     @ApiModelProperty(value = "设备状态编号 :01开机, 02停机, 03待料, 04 故障, 05 维修, 06保养, 07点检, 08 机械手故障," +
             " 09 导轮主体故障, 10 传感器故障, 11 边皮盒故障, 12 桁架故障" , required = true)
     String equipStatus;
     @ApiModelProperty(value = "来源(1：截断机设备状态，2：开方设备状态上传，3：磨削机设备状态上传)" , required = true)
     Integer uSource;
     @ApiModelProperty(value = "创建日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date uCreatedTime;

     //interface_eap_grinding_task
     @ApiModelProperty(value = "开方磨削机编号" )
     String equipNo;
     @ApiModelProperty(value = "触发信号（水流量低、断线、空线、停水、停气、停电、砂轮加工长度（4500mm）检测" )
     String triggerType;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date tCreatedTime;


     public Long getHid() {
          return hid;
     }

     public void setHid(Long hid) {
          this.hid = hid;
     }

     public String getDate() {
          return date;
     }

     public void setDate(String date) {
          this.date = date;
     }

     public String getModule() {
          return module;
     }

     public void setModule(String module) {
          this.module = module;
     }

     public String getEquip() {
          return equip;
     }

     public void setEquip(String equip) {
          this.equip = equip;
     }

     public String getOperator() {
          return operator;
     }

     public void setOperator(String operator) {
          this.operator = operator;
     }

     public String getTotalHours() {
          return totalHours;
     }

     public void setTotalHours(String totalHours) {
          this.totalHours = totalHours;
     }

     public String getCutHour() {
          return cutHour;
     }

     public void setCutHour(String cutHour) {
          this.cutHour = cutHour;
     }

     public String getLineBreakHour() {
          return lineBreakHour;
     }

     public void setLineBreakHour(String lineBreakHour) {
          this.lineBreakHour = lineBreakHour;
     }

     public String getRadiusALHour() {
          return radiusALHour;
     }

     public void setRadiusALHour(String radiusALHour) {
          this.radiusALHour = radiusALHour;
     }

     public String getRepeatALHour() {
          return repeatALHour;
     }

     public void setRepeatALHour(String repeatALHour) {
          this.repeatALHour = repeatALHour;
     }

     public String getWaitCutHour() {
          return waitCutHour;
     }

     public void setWaitCutHour(String waitCutHour) {
          this.waitCutHour = waitCutHour;
     }

     public String getLineBlockHour() {
          return lineBlockHour;
     }

     public void setLineBlockHour(String lineBlockHour) {
          this.lineBlockHour = lineBlockHour;
     }

     public String getWaitAGVHour() {
          return waitAGVHour;
     }

     public void setWaitAGVHour(String waitAGVHour) {
          this.waitAGVHour = waitAGVHour;
     }

     public Date gethCreatedTime() {
          return hCreatedTime;
     }

     public void sethCreatedTime(Date hCreatedTime) {
          this.hCreatedTime = hCreatedTime;
     }

     public Long getId() {
          return id;
     }

     public void setId(Long id) {
          this.id = id;
     }

     public String getLotNo() {
          return lotNo;
     }

     public void setLotNo(String lotNo) {
          this.lotNo = lotNo;
     }

     public String getMachineName() {
          return machineName;
     }

     public void setMachineName(String machineName) {
          this.machineName = machineName;
     }

     public String getReturnReasonCode() {
          return returnReasonCode;
     }

     public void setReturnReasonCode(String returnReasonCode) {
          this.returnReasonCode = returnReasonCode;
     }

     public BigDecimal getHeadDia1() {
          return headDia1;
     }

     public void setHeadDia1(BigDecimal headDia1) {
          this.headDia1 = headDia1;
     }

     public BigDecimal getTailDia1() {
          return tailDia1;
     }

     public void setTailDia1(BigDecimal tailDia1) {
          this.tailDia1 = tailDia1;
     }

     public BigDecimal getHeadDia2() {
          return headDia2;
     }

     public void setHeadDia2(BigDecimal headDia2) {
          this.headDia2 = headDia2;
     }

     public BigDecimal getTailDia2() {
          return tailDia2;
     }

     public void setTailDia2(BigDecimal tailDia2) {
          this.tailDia2 = tailDia2;
     }

     public BigDecimal getHeadDia3() {
          return headDia3;
     }

     public void setHeadDia3(BigDecimal headDia3) {
          this.headDia3 = headDia3;
     }

     public BigDecimal getTailDia3() {
          return tailDia3;
     }

     public void setTailDia3(BigDecimal tailDia3) {
          this.tailDia3 = tailDia3;
     }

     public BigDecimal getHeadDia4() {
          return headDia4;
     }

     public void setHeadDia4(BigDecimal headDia4) {
          this.headDia4 = headDia4;
     }

     public BigDecimal getTailDia4() {
          return tailDia4;
     }

     public void setTailDia4(BigDecimal tailDia4) {
          this.tailDia4 = tailDia4;
     }

     public BigDecimal getHeadDeviation13() {
          return headDeviation13;
     }

     public void setHeadDeviation13(BigDecimal headDeviation13) {
          this.headDeviation13 = headDeviation13;
     }

     public BigDecimal getTailDeviation13() {
          return tailDeviation13;
     }

     public void setTailDeviation13(BigDecimal tailDeviation13) {
          this.tailDeviation13 = tailDeviation13;
     }

     public BigDecimal getHeadDeviation24() {
          return headDeviation24;
     }

     public void setHeadDeviation24(BigDecimal headDeviation24) {
          this.headDeviation24 = headDeviation24;
     }

     public BigDecimal getTailDeviation24() {
          return tailDeviation24;
     }

     public void setTailDeviation24(BigDecimal tailDeviation24) {
          this.tailDeviation24 = tailDeviation24;
     }

     public Date getCreatedTime() {
          return createdTime;
     }

     public void setCreatedTime(Date createdTime) {
          this.createdTime = createdTime;
     }

     public String getSpec() {
          return spec;
     }

     public void setSpec(String spec) {
          this.spec = spec;
     }

     public String getPnType() {
          return pnType;
     }

     public void setPnType(String pnType) {
          this.pnType = pnType;
     }

     public BigDecimal getSideLen() {
          return sideLen;
     }

     public void setSideLen(BigDecimal sideLen) {
          this.sideLen = sideLen;
     }

     public String getProductRank() {
          return productRank;
     }

     public void setProductRank(String productRank) {
          this.productRank = productRank;
     }

     public String getSplitJoint() {
          return splitJoint;
     }

     public void setSplitJoint(String splitJoint) {
          this.splitJoint = splitJoint;
     }

     public Integer getIsAssign() {
          return isAssign;
     }

     public void setIsAssign(Integer isAssign) {
          this.isAssign = isAssign;
     }

     public Integer getSource() {
          return source;
     }

     public void setSource(Integer source) {
          this.source = source;
     }

     public Date getStartTrimming() {
          return startTrimming;
     }

     public void setStartTrimming(Date startTrimming) {
          this.startTrimming = startTrimming;
     }

     public Date getEndTrimming() {
          return endTrimming;
     }

     public void setEndTrimming(Date endTrimming) {
          this.endTrimming = endTrimming;
     }

     public BigDecimal getTrimmingHours() {
          return trimmingHours;
     }

     public void setTrimmingHours(BigDecimal trimmingHours) {
          this.trimmingHours = trimmingHours;
     }

     public BigDecimal getTension() {
          return tension;
     }

     public void setTension(BigDecimal tension) {
          this.tension = tension;
     }

     public BigDecimal getsLinearSpeed() {
          return sLinearSpeed;
     }

     public void setsLinearSpeed(BigDecimal sLinearSpeed) {
          this.sLinearSpeed = sLinearSpeed;
     }

     public BigDecimal getsCuttingSpeed() {
          return sCuttingSpeed;
     }

     public void setsCuttingSpeed(BigDecimal sCuttingSpeed) {
          this.sCuttingSpeed = sCuttingSpeed;
     }

     public BigDecimal getsTrimmingFlow() {
          return sTrimmingFlow;
     }

     public void setsTrimmingFlow(BigDecimal sTrimmingFlow) {
          this.sTrimmingFlow = sTrimmingFlow;
     }

     public BigDecimal getActualQty() {
          return actualQty;
     }

     public void setActualQty(BigDecimal actualQty) {
          this.actualQty = actualQty;
     }

     public Date getrCreatedTime() {
          return rCreatedTime;
     }

     public void setrCreatedTime(Date rCreatedTime) {
          this.rCreatedTime = rCreatedTime;
     }

     public String getEquipType() {
          return equipType;
     }

     public void setEquipType(String equipType) {
          this.equipType = equipType;
     }

     public String getEquipStatus() {
          return equipStatus;
     }

     public void setEquipStatus(String equipStatus) {
          this.equipStatus = equipStatus;
     }

     public Integer getuSource() {
          return uSource;
     }

     public void setuSource(Integer uSource) {
          this.uSource = uSource;
     }

     public Date getuCreatedTime() {
          return uCreatedTime;
     }

     public void setuCreatedTime(Date uCreatedTime) {
          this.uCreatedTime = uCreatedTime;
     }

     public String getEquipNo() {
          return equipNo;
     }

     public void setEquipNo(String equipNo) {
          this.equipNo = equipNo;
     }

     public String getTriggerType() {
          return triggerType;
     }

     public void setTriggerType(String triggerType) {
          this.triggerType = triggerType;
     }

     public Date gettCreatedTime() {
          return tCreatedTime;
     }

     public void settCreatedTime(Date tCreatedTime) {
          this.tCreatedTime = tCreatedTime;
     }
}